
From: Bjorn Helgaas <bjorn.helgaas@hp.com>

Remove include of <asm/setup.h> from cmdlinepart.c.  This is not be needed
for i386 (it builds fine with this patch), and ia64 doesn't supply a
setup.h.

asm/setup.h contains a hodge-podge of stuff with no real
consistency between architectures.  It appears to be
included mainly by arch-specific drivers:
	acsi (Atari disks)
	amiflop (Amiga floppy)
	z2ram (ZorroII ram disk)
	amiserial (Amiga serial)
	...
and under arch-specific #ifdefs:
	fbcon (under __mc68000__ or CONFIG_APUS)
	fonts (ditto)
	logo (CONFIG_M68K)
	...


---

 25-akpm/drivers/mtd/cmdlinepart.c |    1 -
 1 files changed, 1 deletion(-)

diff -puN drivers/mtd/cmdlinepart.c~mtd-remove-setup_h drivers/mtd/cmdlinepart.c
--- 25/drivers/mtd/cmdlinepart.c~mtd-remove-setup_h	Thu Mar 25 14:27:31 2004
+++ 25-akpm/drivers/mtd/cmdlinepart.c	Thu Mar 25 14:27:31 2004
@@ -28,7 +28,6 @@
 
 #include <linux/mtd/mtd.h>
 #include <linux/mtd/partitions.h>
-#include <asm/setup.h>
 #include <linux/bootmem.h>
 
 /* error message prefix */

_
